#include <stdio.h>

long fact(long n) {
  if (n == 0) {
    return 1;
  }
  else return(n*fact(n-1));
}

int main() {
  printf("enter a POSITIVE integer... ");
  long input;
  scanf("%d", &input);
  long output = fact(input);
  printf("output: %lld\n", output);

  return 0;
}
